Bug 160209 - Installer crashes in %packages section
Installer crashes in %packages section
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: 160335 160902 161273 162110 162115 162147 163378 164096 167170 167660 170364 180334 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2005-06-13 10:27 EDT by Dirk Nehring
Modified: 2007-11-30 17:11 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-15 10:20:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
kickstart file (2.21 KB, text/plain)
2005-06-30 10:26 EDT, Joseph Martinez
no flags Details

  None (edit)
Description Dirk Nehring 2005-06-13 10:27:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; de-DE; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When tryping to install FC4 via kickstart, the installer crashes at the following section:


@ base

Problem: the installer tries to resolve EVERY "-" as a install group! When deleting all "-" packages, everything works flawlessly. This bug doesn't occur in FC4 Test3!

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create kickstart file with the following section
@ base
2. Install via PXE  

Actual Results:  Anaconda error report: "unknown key error" (acpid is the key)

Additional info:
Comment 1 Chris Lumens 2005-06-14 11:49:37 EDT
*** Bug 160335 has been marked as a duplicate of this bug. ***
Comment 2 Chris Lumens 2005-06-15 10:22:14 EDT
Fixed in Rawhide.  A workaround for you is to specify an architecture on the
package you're excluding.  For instance, you would say:

Comment 3 Orion Poplawski 2005-06-15 13:58:39 EDT
What version of anaconda is this fixed in?  It appears to me that the version of
anaconda in rawhide is the same as that in FC4.  I'd like to build a fixed set
of install media...
Comment 4 Chris Lumens 2005-06-18 11:52:29 EDT
*** Bug 160902 has been marked as a duplicate of this bug. ***
Comment 5 Emil Mikulic 2005-06-21 03:47:03 EDT
Appending ".i386" works for me.  Regular FC4 install media.
I'm kickstarting over NFS.
Comment 6 Enrico Scholz 2005-06-21 04:47:19 EDT
FWIW; when you do not want to touch your existing kickstart files, a workaround
for this problem might be:

1. install recent anaconda from rawhide (or only extract kickstart.py from it)
2. 'D=/tmp/update'
3. 'mkdir $D'
4. 'cp /usr/lib/anaconda/kickstart.py $D/'
5. 'mkcramfs $D updates.img'

6. place this 'updates.img' file into the base/ directory of your installation 
   media (this is, where e.g. comps.xml or hdlist or netstg2.img already 
   resides; this "installation media" might be a HTTP or FTP directory also).

7. when installing over HTTP or FTP, burn 'boot.iso' (7MB) from images/ and boot 
   from it. DO NOT use the normal installation CD/DVD or rescue CD. With them,
   the stage2 data will be detected on the local media and the download from 
   HTTP/FTP will be skipped.
Comment 7 Orion Poplawski 2005-06-21 13:39:59 EDT
Thanks Enrico for the update suggestion!  This works for me with the
kickstart.py from  Adding arches is a bad solution for me as we use
the same kickstart files for multiple arches.
Comment 8 Jeremy Katz 2005-06-21 23:22:22 EDT
*** Bug 161273 has been marked as a duplicate of this bug. ***
Comment 9 Paul Nasrat 2005-06-30 06:54:29 EDT
*** Bug 162115 has been marked as a duplicate of this bug. ***
Comment 10 Paul Nasrat 2005-06-30 06:55:15 EDT
*** Bug 162147 has been marked as a duplicate of this bug. ***
Comment 11 Paul Nasrat 2005-06-30 06:58:50 EDT
*** Bug 162110 has been marked as a duplicate of this bug. ***
Comment 12 Joseph Martinez 2005-06-30 10:26:21 EDT
Created attachment 116172 [details]
kickstart file

Attaching ks.cfg as requested
Comment 13 Tom Diehl 2005-06-30 15:50:47 EDT
Since this hits fc4, how about an update??
Comment 14 Paul Nasrat 2005-06-30 16:03:26 EDT
As it's in the installer a package update of anaconda wouldn't do much good. 
However an updates.img could be provided, and is probably a good idea.
Comment 15 Tom Diehl 2005-06-30 17:14:43 EDT
Makes sense to me. Thanks.
Comment 16 Fred Bourgeois 2005-07-01 14:09:50 EDT
Is there any plan to release an updates.img in the near future?
Comment 17 Chris Lumens 2005-07-15 15:42:21 EDT
*** Bug 163378 has been marked as a duplicate of this bug. ***
Comment 18 Chris Lumens 2005-07-25 10:12:35 EDT
*** Bug 164096 has been marked as a duplicate of this bug. ***
Comment 19 Jeremy Katz 2005-09-06 11:15:09 EDT
*** Bug 167170 has been marked as a duplicate of this bug. ***
Comment 20 Jeremy Katz 2005-09-06 15:13:41 EDT
*** Bug 167660 has been marked as a duplicate of this bug. ***
Comment 21 Chris Lumens 2005-10-10 21:59:25 EDT
*** Bug 170364 has been marked as a duplicate of this bug. ***
Comment 22 Bevan Bennett 2005-10-11 12:26:13 EDT
Adding the error message and some additional keywords to the active bug so that
future searches are more likely to find it...

File "/usr/bin/anaconda", line 1160 in ?
  intf.run(id, dispatch)
File "/usr/bin/anaconda/gui.py", line 770, in run
File "/usr/bin/anaconda/gui.py", line 1325, in run
File "/usr/bin/anaconda/gui.py", line 1314, in setup_window
File "/usr/bin/anaconda/gui.py", line 1149, in setScreen
  (step, args) = self.dispatch.currentStep()
File "/usr/bin/anaconda/dispatch.py", line 279, in currentStep
File "/usr/bin/anaconda/dispatch.py", line 174, in gotoNext
File "/usr/bin/anaconda/dispatch.py", line 242, in moveStep
  rc = apply(func, self.bindArgs(args))
File "/usr/bin/anaconda/packages.py", line 207, in readPackages
  id.instClass.setGroupSelection(grpset, intf)
File "/usr/bin/anaconda/kickstart.py", line 1559, in setGroupSelection
  pkgs = grpset.hdrlist.pkgnames[name]
KeyError: "

excluded packages, removed packages
Comment 23 Chris Lumens 2006-02-07 09:35:43 EST
*** Bug 180334 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.